org.wso2.carbon.rest.api.stub.types.carbon

## Class APIData

- java.lang.Object
- - org.wso2.carbon.rest.api.stub.types.carbon.APIData

- All Implemented Interfaces:
    Serializable, org.apache.axis2.databinding.ADBBean

      public class APIData
      extends Object
      implements org.apache.axis2.databinding.ADBBean

  APIData bean class
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `APIData.Factory` Factory class that keeps the parse method

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `localArtifactContainerName` field for ArtifactContainerName
    `protected boolean` | `localArtifactContainerNameTracker`
    `protected String` | `localContext` field for Context
    `protected boolean` | `localContextTracker`
    `protected String` | `localFileName` field for FileName
    `protected boolean` | `localFileNameTracker`
    `protected String` | `localHost` field for Host
    `protected boolean` | `localHostTracker`
    `protected boolean` | `localIsEdited` field for IsEdited
    `protected boolean` | `localIsEditedTracker`
    `protected String` | `localName` field for Name
    `protected boolean` | `localNameTracker`
    `protected int` | `localPort` field for Port
    `protected boolean` | `localPortTracker`
    `protected ResourceData[]` | `localResources` field for Resources This was an Array!
    `protected boolean` | `localResourcesTracker`
    `protected boolean` | `localStatisticsEnable` field for StatisticsEnable
    `protected boolean` | `localStatisticsEnableTracker`
    `protected String` | `localSwaggerDefKey` field for SwaggerDefKey
    `protected boolean` | `localSwaggerDefKeyTracker`
    `protected boolean` | `localTracingEnable` field for TracingEnable
    `protected boolean` | `localTracingEnableTracker`
    `protected String` | `localVersion` field for Version
    `protected boolean` | `localVersionTracker`
    `protected String` | `localVersionType` field for VersionType
    `protected boolean` | `localVersionTypeTracker`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `APIData()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addResources(ResourceData param)` Auto generated add method for the array for convenience
    `String` | `getArtifactContainerName()` Auto generated getter method
    `String` | `getContext()` Auto generated getter method
    `String` | `getFileName()` Auto generated getter method
    `String` | `getHost()` Auto generated getter method
    `boolean` | `getIsEdited()` Auto generated getter method
    `String` | `getName()` Auto generated getter method
    `org.apache.axiom.om.OMElement` | `getOMElement(QName parentQName, org.apache.axiom.om.OMFactory factory)`
    `int` | `getPort()` Auto generated getter method
    `XMLStreamReader` | `getPullParser(QName qName)` databinding method to get an XML representation of this object
    `ResourceData[]` | `getResources()` Auto generated getter method
    `boolean` | `getStatisticsEnable()` Auto generated getter method
    `String` | `getSwaggerDefKey()` Auto generated getter method
    `boolean` | `getTracingEnable()` Auto generated getter method
    `String` | `getVersion()` Auto generated getter method
    `String` | `getVersionType()` Auto generated getter method
    `boolean` | `isArtifactContainerNameSpecified()`
    `boolean` | `isContextSpecified()`
    `boolean` | `isFileNameSpecified()`
    `boolean` | `isHostSpecified()`
    `boolean` | `isIsEditedSpecified()`
    `boolean` | `isNameSpecified()`
    `boolean` | `isPortSpecified()`
    `boolean` | `isResourcesSpecified()`
    `boolean` | `isStatisticsEnableSpecified()`
    `boolean` | `isSwaggerDefKeySpecified()`
    `boolean` | `isTracingEnableSpecified()`
    `boolean` | `isVersionSpecified()`
    `boolean` | `isVersionTypeSpecified()`
    `void` | `serialize(QName parentQName, XMLStreamWriter xmlWriter)`
    `void` | `serialize(QName parentQName, XMLStreamWriter xmlWriter, boolean serializeType)`
    `void` | `setArtifactContainerName(String param)` Auto generated setter method
    `void` | `setContext(String param)` Auto generated setter method
    `void` | `setFileName(String param)` Auto generated setter method
    `void` | `setHost(String param)` Auto generated setter method
    `void` | `setIsEdited(boolean param)` Auto generated setter method
    `void` | `setName(String param)` Auto generated setter method
    `void` | `setPort(int param)` Auto generated setter method
    `void` | `setResources(ResourceData[] param)` Auto generated setter method
    `void` | `setStatisticsEnable(boolean param)` Auto generated setter method
    `void` | `setSwaggerDefKey(String param)` Auto generated setter method
    `void` | `setTracingEnable(boolean param)` Auto generated setter method
    `void` | `setVersion(String param)` Auto generated setter method
    `void` | `setVersionType(String param)` Auto generated setter method
    `protected void` | `validateResources(ResourceData[] param)` validate the array for Resources

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### localArtifactContainerName

          protected String localArtifactContainerName

      field for ArtifactContainerName

    - #### localArtifactContainerNameTracker

          protected boolean localArtifactContainerNameTracker

    - #### localContext

          protected String localContext

      field for Context

    - #### localContextTracker

          protected boolean localContextTracker

    - #### localFileName

          protected String localFileName

      field for FileName

    - #### localFileNameTracker

          protected boolean localFileNameTracker

    - #### localHost

          protected String localHost

      field for Host

    - #### localHostTracker

          protected boolean localHostTracker

    - #### localIsEdited

          protected boolean localIsEdited

      field for IsEdited

    - #### localIsEditedTracker

          protected boolean localIsEditedTracker

    - #### localName

          protected String localName

      field for Name

    - #### localNameTracker

          protected boolean localNameTracker

    - #### localPort

          protected int localPort

      field for Port

    - #### localPortTracker

          protected boolean localPortTracker

    - #### localResources

          protected ResourceData[] localResources

      field for Resources This was an Array!

    - #### localResourcesTracker

          protected boolean localResourcesTracker

    - #### localStatisticsEnable

          protected boolean localStatisticsEnable

      field for StatisticsEnable

    - #### localStatisticsEnableTracker

          protected boolean localStatisticsEnableTracker

    - #### localSwaggerDefKey

          protected String localSwaggerDefKey

      field for SwaggerDefKey

    - #### localSwaggerDefKeyTracker

          protected boolean localSwaggerDefKeyTracker

    - #### localTracingEnable

          protected boolean localTracingEnable

      field for TracingEnable

    - #### localTracingEnableTracker

          protected boolean localTracingEnableTracker

    - #### localVersion

          protected String localVersion

      field for Version

    - #### localVersionTracker

          protected boolean localVersionTracker

    - #### localVersionType

          protected String localVersionType

      field for VersionType

    - #### localVersionTypeTracker

          protected boolean localVersionTypeTracker

  - ### Constructor Detail

    - #### APIData

          public APIData()

  - ### Method Detail

    - #### isArtifactContainerNameSpecified

          public boolean isArtifactContainerNameSpecified()

    - #### getArtifactContainerName

          public String getArtifactContainerName()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setArtifactContainerName

          public void setArtifactContainerName(String param)

      Auto generated setter method
      Parameters:
        `param` - ArtifactContainerName

    - #### isContextSpecified

          public boolean isContextSpecified()

    - #### getContext

          public String getContext()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setContext

          public void setContext(String param)

      Auto generated setter method
      Parameters:
        `param` - Context

    - #### isFileNameSpecified

          public boolean isFileNameSpecified()

    - #### getFileName

          public String getFileName()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setFileName

          public void setFileName(String param)

      Auto generated setter method
      Parameters:
        `param` - FileName

    - #### isHostSpecified

          public boolean isHostSpecified()

    - #### getHost

          public String getHost()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setHost

          public void setHost(String param)

      Auto generated setter method
      Parameters:
        `param` - Host

    - #### isIsEditedSpecified

          public boolean isIsEditedSpecified()

    - #### getIsEdited

          public boolean getIsEdited()

      Auto generated getter method
      Returns:
        boolean

    - #### setIsEdited

          public void setIsEdited(boolean param)

      Auto generated setter method
      Parameters:
        `param` - IsEdited

    - #### isNameSpecified

          public boolean isNameSpecified()

    - #### getName

          public String getName()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setName

          public void setName(String param)

      Auto generated setter method
      Parameters:
        `param` - Name

    - #### isPortSpecified

          public boolean isPortSpecified()

    - #### getPort

          public int getPort()

      Auto generated getter method
      Returns:
        int

    - #### setPort

          public void setPort(int param)

      Auto generated setter method
      Parameters:
        `param` - Port

    - #### isResourcesSpecified

          public boolean isResourcesSpecified()

    - #### getResources

          public ResourceData[] getResources()

      Auto generated getter method
      Returns:
        org.wso2.carbon.rest.api.stub.types.carbon.ResourceData[]

    - #### validateResources

          protected void validateResources(ResourceData[] param)

      validate the array for Resources

    - #### setResources

          public void setResources(ResourceData[] param)

      Auto generated setter method
      Parameters:
        `param` - Resources

    - #### addResources

          public void addResources(ResourceData param)

      Auto generated add method for the array for convenience
      Parameters:
        `param` - org.wso2.carbon.rest.api.stub.types.carbon.ResourceData

    - #### isStatisticsEnableSpecified

          public boolean isStatisticsEnableSpecified()

    - #### getStatisticsEnable

          public boolean getStatisticsEnable()

      Auto generated getter method
      Returns:
        boolean

    - #### setStatisticsEnable

          public void setStatisticsEnable(boolean param)

      Auto generated setter method
      Parameters:
        `param` - StatisticsEnable

    - #### isSwaggerDefKeySpecified

          public boolean isSwaggerDefKeySpecified()

    - #### getSwaggerDefKey

          public String getSwaggerDefKey()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setSwaggerDefKey

          public void setSwaggerDefKey(String param)

      Auto generated setter method
      Parameters:
        `param` - SwaggerDefKey

    - #### isTracingEnableSpecified

          public boolean isTracingEnableSpecified()

    - #### getTracingEnable

          public boolean getTracingEnable()

      Auto generated getter method
      Returns:
        boolean

    - #### setTracingEnable

          public void setTracingEnable(boolean param)

      Auto generated setter method
      Parameters:
        `param` - TracingEnable

    - #### isVersionSpecified

          public boolean isVersionSpecified()

    - #### getVersion

          public String getVersion()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setVersion

          public void setVersion(String param)

      Auto generated setter method
      Parameters:
        `param` - Version

    - #### isVersionTypeSpecified

          public boolean isVersionTypeSpecified()

    - #### getVersionType

          public String getVersionType()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setVersionType

          public void setVersionType(String param)

      Auto generated setter method
      Parameters:
        `param` - VersionType

    - #### getOMElement

          public org.apache.axiom.om.OMElement getOMElement(QName parentQName,
                                                            org.apache.axiom.om.OMFactory factory)
                                                     throws org.apache.axis2.databinding.ADBException

      Specified by:
        `getOMElement` in interface `org.apache.axis2.databinding.ADBBean`
      Parameters:
        `parentQName` -
        `factory` -
      Returns:
        org.apache.axiom.om.OMElement
      Throws:
        `org.apache.axis2.databinding.ADBException`

    - #### serialize

          public void serialize(QName parentQName,
                                XMLStreamWriter xmlWriter)
                         throws XMLStreamException,
                                org.apache.axis2.databinding.ADBException

      Specified by:
        `serialize` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `XMLStreamException`
        `org.apache.axis2.databinding.ADBException`

    - #### serialize

          public void serialize(QName parentQName,
                                XMLStreamWriter xmlWriter,
                                boolean serializeType)
                         throws XMLStreamException,
                                org.apache.axis2.databinding.ADBException

      Specified by:
        `serialize` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `XMLStreamException`
        `org.apache.axis2.databinding.ADBException`

    - #### getPullParser

          public XMLStreamReader getPullParser(QName qName)
                                        throws org.apache.axis2.databinding.ADBException

      databinding method to get an XML representation of this object
      Specified by:
        `getPullParser` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `org.apache.axis2.databinding.ADBException`

Copyright © 2019 WSO2. All rights reserved.